function love.load()
	_a = 0
	love.graphics.setDefaultImageFilter("nearest", "nearest")
	playerImageBuffer = love.image.newImageData(32, 32) -- initialize PO2 buffer
	
	playerImageHead = love.image.newImageData("head001.png")
	playerImageBody = love.image.newImageData("body003.png")
	fhtagn(playerImageHead, playerImageBuffer, 10, 0)
	fhtagn(playerImageBody, playerImageBuffer, 8, 14)
	pix1 = love.graphics.newImage(playerImageBuffer)

	playerImageHead = love.image.newImageData("head002.png")
	playerImageBody = love.image.newImageData("body003.png")
	fhtagn(playerImageHead, playerImageBuffer, 10, 0)
	fhtagn(playerImageBody, playerImageBuffer, 8, 14)
	pix2 = love.graphics.newImage(playerImageBuffer)
	
	playerImageHead = love.image.newImageData("head001.png")
	playerImageBody = love.image.newImageData("body002.png")
	fhtagn(playerImageHead, playerImageBuffer, 10, 0)
	fhtagn(playerImageBody, playerImageBuffer, 8, 14)
	pix3 = love.graphics.newImage(playerImageBuffer)
end

function love.update(dt)
_a = _a + (1 * dt)
end

function love.draw()
	love.graphics.draw(pix1, 64,64, 0, 2, 2)
	love.graphics.draw(pix2, 128, 128, _a, 4 * math.sin(_a), 4 * math.cos(_a))
	love.graphics.draw(pix3, 196, 196, -_a, 8 * math.cos(_a), 8 * math.cos(_a))
end

function fhtagn(image, buffer, offsetX, offsetY)
	local imageWidth = image:getWidth()
	local imageHeight = image:getHeight()
	for _y = 0, imageHeight - 1 do
		for _x = 0, imageWidth - 1  do
			local r, g, b, a = image:getPixel(_x, _y)
			buffer:setPixel(_x + offsetX, _y + offsetY, r, g, b, a)
		end
	end
end